> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Analytics

> Retrieve analytics data for agent task execution including success rates, performance metrics, and usage statistics.



## OpenAPI

````yaml get /agent-tasks/analytics
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /agent-tasks/analytics:
    get:
      tags:
        - Agent Task
      summary: Get Agent Analytics
      description: >-
        Retrieve analytics data for agent task execution including success
        rates, performance metrics, and usage statistics.
      operationId: AgentTaskController_agentAnalyticsDetail
      parameters:
        - name: startDate
          required: true
          in: query
          schema:
            type: string
        - name: endDate
          required: true
          in: query
          schema:
            type: string
        - name: agentId
          required: true
          in: query
          schema:
            type: string
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Analytics data retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentAnalyticsResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    AgentAnalyticsResponseDto:
      type: object
      properties:
        currentPeriod:
          $ref: '#/components/schemas/PeriodMetricsDto'
        metricsDelta:
          $ref: '#/components/schemas/MetricsDeltaDto'
        taskAndEvaluationChart:
          type: array
          items:
            $ref: '#/components/schemas/AgentAnalyticsChartResponseDto'
      required:
        - currentPeriod
        - metricsDelta
        - taskAndEvaluationChart
    PeriodMetricsDto:
      type: object
      properties:
        totalTasks:
          type: number
        completedTasks:
          type: number
        failedTasks:
          type: number
        averageEvaluationScore:
          type: number
        averageRuntimeSeconds:
          type: number
        totalRuntimeSeconds:
          type: number
        positiveFeedbackCount:
          type: number
        consentRequiredCount:
          type: number
        negativeFeedbackCount:
          type: number
      required:
        - totalTasks
        - completedTasks
        - failedTasks
        - averageEvaluationScore
        - averageRuntimeSeconds
        - totalRuntimeSeconds
        - positiveFeedbackCount
        - consentRequiredCount
        - negativeFeedbackCount
    MetricsDeltaDto:
      type: object
      properties:
        totalTasksDelta:
          type: string
        completedTasksDelta:
          type: string
        failedTasksDelta:
          type: string
        consentRequiredTasksDelta:
          type: string
        averageRuntimeSecondsDelta:
          type: string
        totalRuntimeSecondsDelta:
          type: string
        averageEvaluationScoreDelta:
          type: string
      required:
        - totalTasksDelta
        - completedTasksDelta
        - failedTasksDelta
        - consentRequiredTasksDelta
        - averageRuntimeSecondsDelta
        - totalRuntimeSecondsDelta
        - averageEvaluationScoreDelta
    AgentAnalyticsChartResponseDto:
      type: object
      properties:
        date:
          type: string
        completedCount:
          type: number
        failedCount:
          type: number
        averageEvaluationScore:
          type: number
      required:
        - date
        - completedCount
        - failedCount
        - averageEvaluationScore
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````